> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1voiceagentsclassifierscall outcomererun



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/voice/agents/classifiers/call-outcome/rerun
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/classifiers/call-outcome/rerun:
    post:
      tags:
        - CallOutcomeClassifiers
      operationId: voice.classifiers.call-outcome.rerun-all
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                dry-run:
                  type: boolean
                cancel-pending:
                  type: boolean
                limit:
                  type: integer
                  minimum: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      classifier_id:
                        type: string
                      calls_count:
                        type: string
                      run_id:
                        type: string
                    required:
                      - message
                      - classifier_id
                      - calls_count
                      - run_id
                  - type: object
                    properties:
                      message:
                        type: string
                        example: Dry run completed successfully.
                      classifier_id:
                        type: string
                      calls_count:
                        type: string
                    required:
                      - message
                      - classifier_id
                      - calls_count
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````